Subject: [mpls] Last Call on "LSP Ping"

From: George Swallow <[email-masked]>
Date: Wed, 16 Mar 2005 13:44:10 -0500

This begins a two week last call on:

        Detecting MPLS Data Plane Failures
         <draft-ietf-mpls-lsp-ping-08.txt>

The last call ends on March 30, 24:00 UTC.

...George

========================================================================
George Swallow             Cisco Systems                  (978) 936-1398
                           1414 Massachusetts Avenue
                           Boxborough, MA 01719

_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls

---

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 18 Mar 2005 19:44:17 -0000

Hi,

This is one of the best written I-Ds for a long time!

A couple of nits.

Section 4.4
   Note: in all the error codes listed in this draft a stack-depth of 0
   means "no value specified".  This allows compatibility with existing
   implementations which do not use the Return Subcode field.
s/draft/document/

Section 7
There are several specific codepoints defined in the draft and marked as
"to be defined by IANA". These are specific values within the new name
spaces defined in section 7. I think it would help IANA if you listed all
of the defined values in a central place (perhaps with references to the
defining sections).

Appendix A.
I'm sure this one has been out and round the block several times.
Notwithstanding that the appendix is non-normative, why is it included? I
thought we were doing no new work (apart from drafts listed in RFC3468)
related to CR-LDP.

Section 3.5
The Error Code TLV
I think no-one came up with a use for this. Since we try not to define
things unless we have an actual use, perhaps this TLV should be retired.

And a silly question.

Suppose I have an RSVP-TE LSP that starts on an IPv6 LSR and ends on an
IPv4 LSR (or vice versa).
So I have an IPv6 Sender Template and IPv4 Session (or vice versa).
How do I encode the Target FEC Stack?
Or perhaps this is just an unrealistic deployment?

Thanks,
Adrian

---

From: "Vach Kompella" <[email-masked]>
Date: Fri, 18 Mar 2005 16:21:46 -0800

Regarding the Error Code TLV: we use that in HVPLS ping, which reuses
packet formats from LSP ping.  Since it isn't even described in LSP
ping, I have no problem with dropping the section.  (I will retain the
definition in HVPLS ping, unless it gets better defined in LSP ping.)
On the other hand, it would be better to have a generic Error TLV
defined in LSP ping, rather than in HVPLS ping.

-Vach 

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Adrian Farrel
> Sent: Friday, March 18, 2005 11:44 AM
> To: [email-masked]; George Swallow
> Subject: Re: [mpls] Last Call on "LSP Ping"
> 
> 
> Hi,
> 
> There are several specific codepoints defined in the draft 
> and marked as "to be defined by IANA". These are specific 
> values within the new name spaces defined in section 7. I 
> think it would help IANA if you listed all of the defined 
> values in a central place (perhaps with references to the 
> defining sections).
> 
> Appendix A.
> I'm sure this one has been out and round the block several 
> times. Notwithstanding that the appendix is non-normative, 
> why is it included? I thought we were doing no new work 
> (apart from drafts listed in RFC3468) related to CR-LDP.
> 
> Section 3.5
> The Error Code TLV
> I think no-one came up with a use for this. Since we try not 
> to define things unless we have an actual use, perhaps this 
> TLV should be retired.
> 
> 
> And a silly question.
> 
> Suppose I have an RSVP-TE LSP that starts on an IPv6 LSR and 
> ends on an IPv4 LSR (or vice versa). So I have an IPv6 Sender 
> Template and IPv4 Session (or vice versa). How do I encode 
> the Target FEC Stack? Or perhaps this is just an unrealistic 
> deployment?
> 
> 
> Thanks,
> Adrian
> > [email-masked] https://www1.ietf.org/mailman/listinfo/mpls
> >
> >
> 
>